---
title: Xbox One Woes
updated: 2020-01-04
author: Lynne
categories: [Reviews, Technology]
tags: [Review, Technology, Xbox]
summary: My experiences with the Xbox One, and why I really don't recommend getting one (unless you really want to play the exclusives)
subtitle: Xbox? XBox? XBOX? Whatever.
images: [https://cdn.bune.city/2019/12/87d5da711b729344f9cc19b78a7b581f/IMG_20191205_092046-1024x768.jpg]
---

So my wife and I recently made the decision to get an Xbox One, because there were a few games I wanted on it, mainly the Rare Replay Collection for its Xbox 360 titles. I could have got an Xbox 360 and a copy of the games instead, but hey, may as well buy a current gen console, especially since we managed to find a cheap second hand Xbox One on eBay. It came with the Kinect (joy of joys), a copy of Kinect Sports Rivals, Lego Dimensions and the requisite pieces and scanner (the eBay listing didn't mention it but sure), the Xbox itself, and a controller with headset. A headset that only works with the Xbox One controller. Neato.

<!--more-->

The first thing you notice when you see an original model Xbox One is that it's enormous. As big as a VCR.

![This is ridiculous.](https://cdn.bune.city/2019/12/87d5da711b729344f9cc19b78a7b581f/IMG_20191205_092046-1024x768.jpg)

I can only assume they made it so big because of the [issues](https://en.wikipedia.org/wiki/Xbox_360_technical_problems#General_Hardware_Failure_errors) caused by making the Xbox 360 so small. The Xbox One S is 40% smaller than the original model, which is nice.

The second thing you'll notice is that you're required to sign in with a Microsoft account. If you don't want to, you can't use the Xbox. If you don't have one, you can create one from the Xbox itself (although I really don't recommend this, it's much slower and clunkier). Once that's done, you're ready to enter the world of Xbox.

The Rare Replay Collection
--------------------------

I already have a Microsoft account (a hotmail one at that!) that I used with my Xbox 360, so I signed in with that and everything worked okay from there. I signed up for the \$1 for 3 months Game Pass deal and started downloading the Rare Replay Collection. I had already ordered the disc so I can play it after I unsubscribe from Game Pass, but I may as well play it while waiting for the disc to arrive.

The Rare Replay collection consists of 30 games, 8 of which are Xbox 360 titles. The Xbox 360 titles run under the Xbox One's so-called Backwards Compatibility mode, and rather than being included within Rare Replay, they're separate programs. When you download Rare Replay, nine downloads begin - one for Rare Replay and eight for the included Xbox 360 games.

This was going to take a while with my internet, and the Xbox One only has 500GB of internal storage space, so I decided to cancel them all and individually install Trouble in Paradise once I realised that was possible. However, I then realised that I was installing the wrong Trouble in Paradise.

![There's two of them!!](https://cdn.bune.city/2019/12/07120691d3969c54d14d8fe001c8bcd5/image.png)

See, I was installing **Viva Piñata: TIP** when I *should* have been installing **Viva Piñata: TIP**. Yes, those names are the same. The difference is that one of them has "RARE REPLAY" on the box art. They're both the same game, but Rare Replay won't recognise that you have the game installed if you install the non-Replay version. This doesn't really matter all that much, but I decided it was worth cancelling the download and starting the other one to have things integrate a little better.

This is true of every game in the Rare Replay collection, by the way - Game Pass will show you two versions of every Xbox 360 game in the collection, presumably identical apart from not integrating with Rare Replay. Eighteen of the 360 games in Game Pass are the same nine listed twice. At the time of writing (3rd of January 2020), there are 42 Xbox 360 games available with Game Pass, and 9 of them are Rare Replay duplicates, meaning that there are really only 33.

Because the 360 titles run completely independently of Rare Replay, the integration is sorely lacking. You can't return to the Rare Replay menu in game, you don't get overlays showing that you've earned new stamps, and choosing a 360 game in the menu causes Rare Replay to close, the 360 game to (slowly, if at all) start up, the 360 splash screen to display (which occasionally causes the Xbox One's fans to run at maximum speed for a few seconds, for whatever reason), the game logos to display, and *finally* you're in the game. It's nowhere near as neat as launching an N64 or ZX Spectrum game is. I understand that this is due to technical constraints, but jeez.

Speaking of 360 games...

Backwards Compatibility
-----------------------

Backwards Compatibility on the Xbox One is *not* an Xbox 360 emulator. Only some games work, and *none of them work from the original disc* - upon inserting an Xbox 360 game disc, the Xbox One will download a patched/modified/enchanted/whatever version of the game from its servers that has been specifically modified to work with the Xbox One.

### The Good

Xbox 360 games running on the Xbox One typically see pretty decent performance improvements, which I definitely noticed while playing Trouble in Paradise - the game would run at 30FPS with occasional drops to 15 on my family's Xbox 360, whereas the Xbox One never drops below 30 and even hits 60 in low intensity scenes like the romance dances and the "look inside" feature. The Xbox One also runs the games at a higher resolution (up to 4K if you have the Xbox One X), enables 16x anisotropic antialiasing, and adds a few more graphical enhancements. I'm really happy about this, actually - usually backwards compatibility just means running the games at the same resolution and upscaling it, with the only way to *actually* run old games in higher resolutions being emulation.

Because the Xbox One runs the games off of the hard drive (whether or not you have the disc version of the game - more on that later), loading times are vastly reduced compared to the 360. Banjo Kazooie: Nuts & Bolts (I know, I know) loads so quickly that the loading screen only has time to display one gameplay tip, compared to the three or four I'd see on the 360. If an Xbox 360 game is available on Xbox One, and the 360 version didn't use anything not supported by the Xbox One, I'd say it's definitely worth playing the Xbox One version instead.

### The Bad

#### Save management

Let's say you're playing Viva Piñata: Trouble in Paradise (good taste, by the way), and you want to delete one of your gardens. The Xbox One menu offers you two options: Delete the "Reserved space", which contains nothing but will be recreated by the game when you next open it, and delete all save data.

![Sorry for the poor quality, but the Xbox One doesn't let you take screenshots of the home screen.](https://cdn.bune.city/2019/12/e51a152d06158b245116e0c97d899cf6/IMG_20191212_143006_1-1024x599.jpg)

At first, I thought I was stuck with this, but after looking around online, I found out that there *is* actually a way to delete individual save files, but it's really counterintuitive:

-   Launch any Xbox 360 game - it doesn't have to be the one you want to delete save data in.
-   Press the menu and view (start and select) buttons at the same time to open the 360 guide.
-   Open the storage manager. This will close the game and open a view that allows you to manage 360 save games.
-   Delete the save game from there.

When launching an Xbox 360 game, you don't get a prompt telling you that you can open the guide by pressing menu and view, or that you can manage storage like this, or anything of the sort. The Xbox Assist app has a section that tells you how to open the 360 guide, but not how to delete save games. The weird thing is that you can't open the Xbox 360 storage manager from within the Xbox One's UI, you can only open it from within a 360 game, even though opening the save manager closes the game.

#### Supported Titles

Not all Xbox 360 titles are supported. This is an unfortunate and annoying reality for modern consoles - gone are the days where your PS2 could play every PS1 game in existence, or your Wii came with controller ports just so you could play Gamecube games. I can (begrudgingly) accept that. Technical differences and limitations between generations of consoles make this unfeasible. The original fat PS3 could only run PS2 games because it pretty much included the PS2's hardware inside it.

What I *can't* so readily accept is the paltry support for original Xbox titles. The Xbox 360 was backwards compatible with **461** original Xbox games, whereas the Xbox One is compatible with a mere **41**. One of the things I was looking forward to on the Xbox One was being able to play at least some of my old Xbox games on a modern console, but of the 41 supported titles, I own none. Midtown Madness 3, my favourite OG Xbox exclusive title, didn't work on the Xbox 360, and it doesn't work on the Xbox One. I'm not getting my hopes up for the Series X, either.

This isn't specific to the Xbox One in particular, as all three current gen consoles - the Nintendo Switch, PS4, and Xbox One - suffer from terrible backwards compatibility. The Xbox One is actually the *best* of the three here, and it's the only console where you can pop in a disc from an older console and (after it downloads) play the game. The Switch can't play *any* Wii games, and likely never will. It's worth mentioning that the Wii U was fully compatible with all Wii games, but only because the Wii U's hardware was so similar to the Wii's. This makes the Wii U the best current gen console for backwards compatibility, but I hesitate to call the Wii U "current gen" as it didn't even make it halfway through the generation before the Switch was released.

I haven't played any original Xbox games on the Xbox One, but I hope that you can actually delete individual saves.

### The Nitpicks

Occasionally, when launching a 360 game, the Xbox One's fans will jump from silent to full throttle, which is *LOUD*, and remain that way until the Xbox 360 splash screen is finished. If this happened every time, it would at least be understandable (in the same way some PCs and laptops run the fans at full speed while POSTing), but it only happens *sometimes*, and only for some games. I'd say it happens about 70% of the time with Trouble in Paradise, whereas it never happens with Bejeweled 3, for example. The fans never get anywhere near that loud during actual gameplay, or at least, they don't with any of the games I own. You have to wonder what's going on behind the scenes there.

<aside>
	I have also had this happen to me twice with an Xbox One title (The Outer Worlds). However, every other time, it's happened when launching a 360 title. I'm beginning to suspect that maybe, just maybe, the Xbox One kinda sucks.
</aside>

Finally, the weirdest issue of all - sometimes games will fail to open. A message will appear with a generic "sorry, something went wrong" and an "okay" button. If you attempt to relaunch the game immediately afterwards, it will work fine. What "went wrong" is beyond me, and quite possibly beyond Microsoft too. It doesn't really impact gameplay, because you can just relaunch the game and it'll work fine, but it's an odd issue and feels unprofessional.

While writing this blog post, I even got a brand new Backwards Compatibility error that I'd never seen before!

![For some reason it has taken Microsoft too long to get their shit together.](https://cdn.bune.city/2019/12/eedf15657fbe6fd48df69f5d5c8dfac2/IMG_20191212_163730_1c-1024x632.jpg)

For the most part, the games run fine, although the Klungo's Arcade minigame in Banjo Kazooie Nuts & Bolts has some weird graphical glitches going on that weren't present on the Xbox 360.

![It even covers the amazing "cabinet" art on the sides of the screen...](https://cdn.bune.city/2019/12/ed1fd1436cfdaea4812e0294a1592836/cap_13-12-2019_2-49-37_AM-ek00ojvs_000001_01-1024x576.jpg)

I also experienced moments in Nuts & Bolts where sound effects would stop working occasionally. I don't remember if this occurred on the Xbox 360 version of the game, but I'm fairly certain it didn't, or at least not this badly.

{% include video.html name="bk-sound" extension="mp4" qualities="720,480" caption="The checkpoints are supposed to make a noise when you drive through them, and the egg gun should have a sound when firing." %}

Seeing these minor issues makes me think of the [Dolphin emulator](https://dolphin-emu.org), which has monthly blog posts detailing development progress and often going into a lot of detail on an issue that caused a minor graphical glitch in one game and how they fixed it.

I was somewhat disappointed to find that the Piñata Vision feature from Viva Piñata: Trouble in Paradise didn't work with the Xbox One. On the Xbox 360, it required the Xbox Live Vision camera, and didn't work with the Kinect's camera, meaning that I never got to use it when I originally played it years ago. I was hoping that the feature would have been updated to work with the Xbox One version of the game, but it sadly doesn't, which is to be expected. The Xbox 360 games on the Rare Replay collection aren't updated rereleases - they're just rereleases. Yes, they run better, but that's just because the Xbox One is more powerful - running a PC game on a high end PC instead of a laptop isn't an updated rerelease just because it runs better.

Xbox Store Issues
-----------------

For whatever reason, you need to enter your password to see the prices of 360 games in the store. Instead of the usual "\$xx.xx buy" button, there's a "See the price" button that prompts for your password because you're "accessing sensitive info".

{% include video.html name="secure_info" extension="mp4" qualities="480,360" caption="Maybe it's because they don't want you to see how much they're charging for decade old games." %}

I can understand needing a password to buy games, but needing a password to see the price of games is just silly. I have no idea why this is needed, but it just makes the whole experience more clunky.

### Confusing Subscription Management

I don't really know if this counts as an Xbox store issue, but this is where it best fits in the post.

There are three main ways you can format a date. You can use day/month/year, like we do in Australia, and most countries around the world. You can do month/day/year, like they do in the USA and nowhere else. Or you can say year-month-day, which is used in a few countries like Japan. This latter option is an ISO standard (ISO 8601). The ISO standard approach is completely unambiguous. When you see 2020-1-3, you know it means the 3rd of January, 2020. But what about 3/4/2005? Is it the 3rd of April, or the 4th of March?

I bring this up because of the Xbox One's subscription management screen.

![Duck themed measuring spoons for scale.](https://cdn.bune.city/2020/01/1532ba6849c5f384f5b3531fb81d532f/wp-1577943431917-1024x768.jpg)

It look like my EA access subscription will automatically renew on the 1st of the 7th, or July 1st. But that's not the case - it's *actually* renewing on the 7th of the 1st, which is four days from now.

Microsoft is a US company, sure, but my Xbox's locale is set to Australia, and the rest of the console has adjusted to that (for example, the UI says "colour", not "color"). My billing location is *also* Australia. Every single setting to do with locale, language, or location is set to Australia. So why would they use the US date format?

The system clock settings use an unambiguous format, using the word "January" instead of the number one. If Microsoft believed the month/day/year format to be unambiguous, why didn't they use it here?

![](https://cdn.bune.city/2020/01/d71e21d8e20e40b461a73fee20b3f8a6/wp-1577943431891-1024x768.jpg)

Even worse, the game recording filenames use day-month-year - the standard format for my locale. (they're using dashes instead of slashes because you can't use a forward slash in a filename - try it for yourself!)

![](https://cdn.bune.city/2020/01/7dfad4ae36c3ef34c1a0ab950a098180/image.png)

So if the Xbox uses day-month-year for game recordings because I'm in a non-US locale, then why does it use the US format for subscription expiry dates? Microsoft is aware that people in my locale put the day before the month (of course they are), and yet they don't do it for the subscription page, and *only* the subscription page. All they had to do was say "January 7th" or even just "7/1 (in 4 days)".

This is a minor issue, sure, but when automatic renewal of *paid* subscriptions are involved, ambiguity is very bad. Automatically renewing subscriptions are already confusing enough.

Storage Issues
--------------

### Mandatory Installation of Disc Based Games

Unlike every console before it, and like the PS4 (but unlike the Switch), disc games need to install before they can be played. When you insert an Xbox One game disc, you need to wait for the game to install from the disc before you can play it.

Also like the PS4, the *entire* game needs to be installed. On the Xbox 360, some disc games such as GTA V came with mandatory install requirements, where you install some of the content (disc 2) and the rest streams from disc 1. On the Xbox One however, you need to install the whole thing. This means that you don't have to wait for slow blu-ray load times, but it also means that you can't save space by buying disc versions, which I had previously assumed to be the case. If a game is 40GB, then all 40 of those gigabytes get installed to your hard drive. The disc simply acts as a license to ensure that you own the game. And despite the whole thing being on the hard drive, you need to insert the disc to play. I know that this is for DRM purposes, but couldn't they at least give you a 24 hour grace period where you can play without the disc before needing to insert it again?

<aside>
	When the Xbox One was announced, that was (sort of) the plan. You would be able to play without having the disc inserted as long as you put it in every now and then to re-verify your purchase. This is all well and good, but it came with a huge number of downsides - for one, this meant that each disc was now tied to a Microsoft account, and putting the disc in another console wouldn't work. This would effectively ruin the second hand game market. Microsoft didn't have to do it this way, but they wanted to because they're Microsoft, and after the tidal wave of backlash they reverted to doing things the same way as the PS4 - requiring the disc to play the game that's already installed on your hard drive.
</aside>

### Halo 5 and Massive Install Sizes

The back of the Halo 5 box states that "up to 60GB" of storage is required to play the game.

![Cropped and edited from [here](https://imgur.com/a/CeNPs).](https://cdn.bune.city/2019/12/7ca55343ce9a9f548d69a44538ad6841/halo5-1024x432.jpg)

From this alone, I'm sure you can see the issue with giving the Xbox One a 500GB hard drive. This 60GB install requirement has since changed, though.

It's now 100GB.

![Halo 5's install page on the Xbox One, showing a size of 100GB](https://cdn.bune.city/2019/12/ac3b4d6592667504a5fa8579025e8964/IMG_20191212_151142_1-1024x596.jpg)

Halo 5 is "Xbox One X Enhanced", and it comes with higher quality textures on the Xbox One X. I don't have an Xbox One X, so I get the non-4K install size. The install size for Xbox One X consoles will be even higher than this.

This isn't the norm, thankfully. Gears 5 is 58GB, Just Cause 4 is 56GB, Wolfenstein II is 53GB. This is still huge, but at least it's not "one fifth of your hard drive" huge. Most AAA games are 40+GB, but the majority of games for the system aren't that big - Tomb Raider is 20GB, PUBG is 19GB, et cetera. I have 28 games installed, with the biggest being Monster Hunter World (48.8GB), although I do have a lot of small Xbox 360 titles and indie games installed. It's entirely possible to fill up the hard drive with half a dozen games or so if you specifically go looking for the biggest titles, and if you only play AAA titles you would probably start running into issues after installing around 15 games. You'll need to uninstall games to make room for others.

If your games are on disc, this isn't so bad, as you can uninstall the games from the hard drive and reinstall them from the disc at any time, which happens fairly quickly - in the space of a few minutes. Of course, you still have to download the updates after installing the game, but the majority of the content is on the disc. If you prefer digital purchases, however, uninstalling and redownloading massive games can take a while. Especially if that game is Halo 5, which from the looks of it, only includes around 60GB of content on the disc - if the game is now 100GB, you'll need to download the remaining 40GB.

Thankfully, you can buy external hard drives or SSDs for the Xbox One. And thankfully, unlike the Xbox 360, they don't have to be "Official Microsoft" hard drives - any external USB 3.0 drive should work. One of the major benefits of consoles is that you can play the latest games without having to upgrade your machine, and buying an external drive kind of goes against that, but still. I haven't personally done so yet, but I'm considering getting an external SSD for games like The Outer Worlds which load at a glacial pace.

It's also worth mentioning that the Xbox One S has 500GB, 1TB, and 2TB versions. At the time of launch, however, only the 500GB version was available.

### Load Times

Every Xbox One (apart from the Elite, which is a more expensive version of the original Xbox One and has nothing to do with the Xbox One X) has a 5400RPM 2.5" hard drive. There are two standard sizes for internal hard drives, 2.5" and 3.5", with 2.5" being preferred for laptops due to their smaller size and 3.5" being used in desktop machines. Why the Xbox One has a 2.5" drive even though it's the size of an early VCR is beyond me.

Hard drives are one of the few remaining mechanical parts of a computer, and their non-mechanical replacements (SSDs) have existed for a while. They're considerably more expensive, but offer much, MUCH better performance. It's hard to overstate the difference in speed between a hard drive and an SSD.

Using a hard drive instead of an SSD is understandable due to the lower price point, but 5400RPM is much less understandable. This refers to the speed that the drive spins at, and the higher the RPM, the faster the hard drive can read and write data. It's hard to find a drive slower than 5400RPM. To quote Wikipedia,

> As of 2016, the typical speed of a hard drive in an average desktop computer is 7200 RPM, whereas low-cost desktop computers may use 5900 RPM or 5400 RPM drives.
>
> <cite>"[Hard Disk Drive](https://en.wikipedia.org/wiki/Hard_disk_drive#Market_segments)" article on Wikipedia</cite>

Even the Xbox One X, the premium and much more expensive version of the Xbox One, comes with a 2.5" 5400RPM drive.

When playing an Xbox 360 game this isn't so bad, especially if you're used to waiting for horrendous DVD load times like I am, but when you play an Xbox One game, you really start to notice the budget laptop drive speeds. This is really bad in a game like The Evil Within where every death means a long loading screen, and much, much worse in a game like The Outer Worlds, where every death *and* every area transition means an even longer loading screen. This becomes nigh-unbearable when you're in an area that doesn't allow fast travel, so you need to exit the area, wait for the painfully slow load time, and then fast travel to your destination, which means waiting through *another* loading screen. You'll also want to make a manual save once you arrive, because if you die, and your last autosave was in the area that didn't allow fast travel, you'll need to load the save, load the outside area, and then load the fast travel target before you can get back to where you were.

<aside>
	This is just as bad on the PS4, by the way, but unlike the Xbox One, you can upgrade the PS4's internal drive to an SSD, a faster hard drive, or a similar drive with greater capacity. Doing so on the Xbox One immediately voids your warranty, and is not at all supported.
</aside>

It's hard to state how horrendous the load times are on the Xbox One. I ran into a loading screen while I was running through the open world in The Outer Worlds - the part of the game where there aren't supposed to be load times. This only happens occasionally, if you run in a straight line for a while (15 seconds), which I was doing to get to a quest marker. Superman may be able to outrun a speeding bullet, but I can outrun the Xbox One's hard drive.

Here's a video of me recreating this. Even after the loading screen, characters still pop in right in front of you.

{% include video.html name="ow-streaming" extension="mp4" qualities="506,480" caption="It's kind of surreal. They don't just fade in or blit into the world, they sort of rise from the floor like a sci-fi holographic projector turning on." %}

<!-- 506, 480. TODO: replace with original from my laptop once i get a new charger -->

Meanwhile, there are loading screens between areas, as there are in pretty much every open world game. I timed one of the loading screens I encountered on the Xbox One - *forty nine seconds*.

{% include video.html name="ow-load" extension="mp4" qualities="506,480" caption="Here's a video so you can watch it in real time, if you really want to suffer through that. At least Fallout 4 gives you a model to spin around while you contemplate the nature of your own existence." %}

Like I mentioned before, The Evil Within also has long load times, but not as bad as this. The Evil Within was an early title and also came out on Xbox 360, so this has been an issue since day one.

I can't imagine waiting for this to happen on the Xbox One X, which has the same hard drive but needs to load higher quality textures.

I miss PlayStation 1 load times.

"Sponsored Content"
-------------------

This is the home screen of the Xbox One. It has four ads. You cannot turn them off or dismiss them.

![](https://cdn.bune.city/2019/12/1171200932365a1449d2b50d46835052/sketch-1576130164202-1024x599.jpg)

Every time you go to choose a new game or exit the one you're playing you get this shoved in your face.

The bottom row shows an "all games" button, three thumbnails of your most recently played games, and then two ads. The ads are wider than the game thumbnails, so half of the actual space of that row is taken up by the ads. Again, you can't turn these off.

This is quite honestly unacceptable. Ads in the store make sense, but on the home screen? Really? This is a "feature" in Windows 10 too, with "suggested apps" and "sponsored content" being plastered all over the Start menu, so it's not like this is new for Microsoft, but it's taken to a new level here.

Not only are there ads on the home screen, but the tabs on the top can't be rearranged or removed. The third tab is "Mixer", a streaming service similar to Twitch, which I would also prefer to remove from the Xbox menu, but I can't. You also can't uninstall the Mixer app that comes with the machine.

Speaking of the tabs, the second tab is "Game Pass", which is one big ad for Game Pass. I already have Game Pass, but this is still there, ready to remind me of the great benefits of the service I'm already subscribed to whenever I accidentally tab over to it. "Home" is the only tab I ever use, because you can access your Game Pass games without ads through the "My games & apps" view anyway, but there's no way to remove or even rearrange the others.

There's also a small ad that appears at the bottom of the guide that pops up when you press the Xbox button on the controller, which means you're never more than one button press away from being advertised to.

![Ads being shoved in your face to an almost comical degree? It's like I'm still playing The Outer Worlds!](https://cdn.bune.city/2019/12/ff714d71f87b62245df80cd00e0a3881/img_20191212_1610014367524193402917152-768x1024.jpg)

<aside>
	While browsing around the Xbox One, I realised that one of the two Minecraft ads on my homescreen (the one that said "Minecraft shared a link") was there because I was unknowingly following the Minecraft account. I unfollowed the account, which was the only account I was following, and rebooted the Xbox One to refresh the home screen. The Minecraft ad was then replaced with a recommendation to follow an account so I can have more <del>ads</del> enriching gamer content served to me.
</aside>

Can Microsoft just not?

Microsoft Account Integration
-----------------------------

I mentioned this earlier, but I want to go into more detail on it. When you turn on the Xbox One and set it up for the first time, you're told that you *will* sign in with your Microsoft account.

![Sorry for the unbelievably shitty quality - this was before I realised that you need to turn the exposure way down to get decent TV screen photos.](https://cdn.bune.city/2019/12/cf60c0edb07aaf24d5f7ee9b93e3b061/xonxk-1024x606.jpg)

There's no way to opt out of this. The options are "back" and "next". You can either sign in, create an account, or use your Xbox One as a giant paperweight.

This is bad enough on its own - If you only ever play single player disc based games, there's no real reason for you to need a Microsoft account. Apart from syncing your achievements, I guess.

But if you want to add another profile to the Xbox, *they need an account too.* You cannot create a profile without a Microsoft account. You can create guests, but their save data is wiped automatically. This means you can at least play something like Halo local multiplayer with just the one account, but if you want to have a separate profile for separate game saves, you need a Microsoft account.

My wife didn't (and never has, and never will) want a Microsoft account, but she was forced to create one to have separate game saves on the Xbox One. The Xbox 360 allowed you to create local profiles that functioned the same as online ones but without Xbox Live capabilities or achievement/save syncing, but it's not possible to do that on the Xbox One. Even Windows 10 lets you skip the Microsoft account requirement.

<aside>
	Microsoft recently made it more difficult to skip the sign-in requirement on Windows 10 Home. Windows 10 Pro is unaffected. You can still get around this by not setting up a network connection when the installer asks you to, which is not the case on the Xbox One.
</aside>

Game DVR
--------

This has been one of the most annoying issues I regularly face with the Xbox One.

First, let's go over how this works on the Nintendo Switch, the other current gen console I own. If you want to record what just happened in a game, you hold the screenshot button down for a second, and a clip of the last 30 seconds is saved to either your internal memory or your microSD. You can then eject the microSD, plug it in to your computer, and copy the files across. Easy as pie. If you're playing with a single joy-con, you might not have the screenshot button, but this can easily be solved by playing with the left joy-con instead.

Now let's go over how this works on the Xbox One. You can specify how long you want the recordings to be (up to 5 minutes for 720p, or 2 minutes for 1080p). This is much less than the PS4's 15 minutes at 720p, but better than the (much weaker) Switch, which only gives you 30 seconds at 720p. I set mine to a minute of 1080p footage. To record that, you need to press the Xbox button, and then press X. There's no way to access this with a single button (unless you bought a controller with additional mappable buttons on it, of course), which is moderately annoying but ultimately liveable. At first, I thought this would make it impossible to take screenshots in The Outer Worlds, where opening the Xbox guide pauses the game (and the pause screen replaces what you wanted to screenshot), but the Xbox actually takes the screenshot when you press the Xbox button, and pressing Y saves it, despite the Xbox saying that you can press Y to *take* a screenshot. This means that pressing Y will take a screenshot of what was on the screen at the time you pressed the Xbox button. Confusing, but workable.

Now it's time to get the screenshot to your PC. I plugged a USB stick into the port on the side of the Xbox One (no idea why it's not on the front) and looked through the settings to find a "copy content" option or something. You can set the Xbox to record all future captures to the USB, but there was no option to transfer the past captures. I checked the file manager app, but none of my screenshots or recordings appeared there. I then opened the Game DVR view and looked through the options - nothing. As it turns out, you can't copy the screenshots to a USB. There are only two ways to get them onto your PC: Upload them to Xbox Live, or upload them to OneDrive.

<aside>
	While I could have used the "record to USB" option in future to avoid this, the Xbox refused to use the USB I provided it with because it wasn't fast enough. As I don't own any USB 3.0 compatible USB sticks, and my only USB 3.0 external hard drive is being used for something else, I can't use this feature unless I buy a new USB stick.
</aside>

I live in Australia, which is rather well known for having abysmally slow internet. Until February 2020, I'm stuck with ADSL2+, with upload speeds of 150 kilobytes/second, and as soon as you start uploading something, the download speed plummets. I usually limit my laptop's Nextcloud upload speeds at 16KiB/s because anything above that makes the internet unuseably slow. You can't do this on the Xbox One, so I need to strategically upload the recordings when I don't plan to use the internet for the next while.

The size of the recordings vary, but they're typically around 50 to 70MB for 2 minutes of 1080p video. 70 megabytes is 71,680 kilobytes. With my upload speeds - assuming it remains at 150KB/s for the whole time, which it never does - that takes nearly eight minutes at best. I'm having to use napkin maths here because the Xbox One doesn't provide an ETA. In practice, I saw 14 recordings and 2 screenshots take *five hours* to upload. And 3 of them failed. The Xbox didn't tell me *which* 3 failed, mind you - I had to go through all the ones that made it to OneDrive and compare the first few seconds of each recording with the ones on the Xbox to see which ones made it and which didn't, because there's no way to view the filenames of the recordings on the Xbox.

It's not Microsoft's fault that I have horribly slow internet. It *is* Microsoft's fault that I'm forced to use it. I shouldn't need to wait for hours for recordings to upload to OneDrive just to download them to my laptop and delete them from OneDrive afterwards. I have multiple USBs (they don't meet recording requirements, but surely they're capable of copying?), a file server on my LAN that supports (among other things) Microsoft's SMB protocol, the Xbox app on my phone, Bluetooth, *so many other ways* that the Xbox can send things to and from my laptop or phone, but no, *this* is the only possible way to get my recordings onto my laptop. Even if you have fast internet, local network access is *always* faster than internet access. It's ridiculous that I have to send my files from my living room off to OneDrive and then back to my living room. The Switch doesn't make me do that. My family's PS4 doesn't make me do that. My 3DS and PS Vita don't make me do that. My phone doesn't make me do that. But my Xbox One does. And when Microsoft eventually discontinues online services for the Xbox One a decade or two from now, you won't be able to get the screenshots and recordings off the console at all.

<iframe src="https://fedi.lynnesbian.space/users/lynnesbian/statuses/103298419987348016/embed" class="mastodon-embed" style="border: 0;" width="600" height="333"></iframe>  
And it *has* to be OneDrive or Xbox Live, too. It can't be Google Drive or iCloud or whatever. I have my own Nextcloud server with plenty of free space, but I'm forced to use OneDrive and its tiny 5GB of free storage. I just delete the files after downloading them. It'd be nice to keep them there after waiting so long for them to upload, but whatever.

Once these videos make it to OneDrive, and you've reuploaded the ones that failed, you have to actually download them. My download speed is typically around 800KB/s to 1.5MB/s. But not with OneDrive.

![At least it's faster than the upload.](https://cdn.bune.city/2019/12/27fdeedb3892c304e98c7a474ab9c64a/sshot_2019-12-13_at_13-57-14-1576209434.png)

I've never seen OneDrive get above 400KB/s from my house. Maybe Microsoft has crappy Australian servers, maybe my house was cursed by a Microsoft-hating warlock, who knows. Again, this isn't the Xbox One's fault, but the fact that I have to deal with this garbage is. If you're gonna force me to use your service, put effort into making that service usable.

And no, it's not just my internet being crappy. Here's a screenshot of Arch updating at about 1.3MB/s while the OneDrive download trickles through at 200KB/s.

![The pacman download speeds are the middle column.](https://cdn.bune.city/2019/12/b0720d7b87a84b7421cb3cefd2344a2f/sshot_2019-12-13_at_14-38-13-1576211893.png)

You might have noticed that Firefox says "Unknown time left". You see, when you download a file, the server *typically* tells your browser how many bytes it should expect. For example, if you start a download, and the server says "this will be 5MB", then Firefox can give you an ETA because it knows how big the download should be, and if you're downloading at 1MB/s, then it'll take 5 seconds to download the 5MB file.

If the server doesn't say how big the file is going to be, then Firefox (or Chrome, or what have you) can't give you that estimate. It's like asking "A car is driving 40km/h. How long will it take to arrive at Sydney?" There's no way to know unless you know the distance.

OneDrive doesn't tell you how big the file will be if you batch download (although it does if you download the files one by one). So you have this terribly slow download happening with no progress bar and no indication of when it's going to be done. You can get an estimate if you open a calculator and add all the file sizes together manually, but *come on*.

That is, if OneDrive is even working at all.

![The cloud dropped its ice cream.](https://cdn.bune.city/2019/12/f4d325f1577e5c34514640f5aae035a5/sshot_2019-12-12_at_13-19-18-1576120758.png)

Sure, OneDrive is slow and unreliable, but with the power of machine learning, it automatically tags my screenshots with what it "sees" in them. You can't do *that* with a USB stick.

![Thanks, Microsoft...](https://cdn.bune.city/2019/12/18788a8f6ba122a4857ca7938d684c4e/sshot_2019-12-13_at_14-17-00-1576210620.png)

At least you don't need an Xbox Live Gold subscription to do this. Maybe they're saving that for the Series X.

Conclusion
----------

I was considering installing Windows 10 on a partition on my Debian gaming PC, but if Microsoft is this incompetent at putting together a user experience, then I'll stick to using Proton to run games. The Xbox One is a great anti-advertisement for Microsoft in that it somehow managed to make me like them even less than I already did.

There are a few positives about the Xbox One, with the standout performer being the Game Pass, a subscription service that allows you to access hundreds (well, two hundred and something) full games. It's sort of like Netflix for video games. I really wish the Switch had something like this, but given that Nintendo is still selling launch titles like Breath of the Wild at full price, I sincerely doubt anything like that will ever happen. The downside to a service like Game Pass is that you don't own the games, and once they leave Game Pass (or the servers shut down) you can't play them anymore. You can buy Game Pass games with a 20% discount if you have an active subscription, which is nice, but you're buying the digital versions, which have the same issues. I like the Game Pass because I can play through the entirety of a game and decide to buy it afterwards if I like it enough to keep it, in a similar way to renting a movie (or watching it on Netflix) before buying it.

I'll also say that the controller is really nice. It's definitely the best Xbox controller, improving on the 360's controller (which was itself an improvement on the Xbox's controller) with a much better D-pad and in my opinion a nicer look. The bumpers are much stiffer though, which you may or may not prefer. I personally preferred the 360 controller's bumpers. Out of all the devices set up in my house (PS2, Switch, Xbox One), I prefer the Xbox One's controller. The Switch Pro controller comes in at a close second, but the lack of analogue triggers really sucks. The Xbox One's controller's analogue sticks also feel nicer. I don't like that the Xbox One controller doesn't have any indicator of which player's controller it is, though.

Unless you really, *really* want to play an Xbox One exclusive game, and you absolutely cannot wait for the Series X to come out at the end of 2020 (which I am tentatively assuming will be better than this), I'd advise getting a PS4 or (if you can afford it) a PC, or a Switch if you're okay with the performance.