---
title: Fediverse Survey Summary 3
date: 2019-05-20 15:18
author: Lynne
categories: [The Fediverse]
tags: [The Fediverse, Fediverse Survey 2019]
cw: [language]
cw_description: This post contains coarse language.
summary: The third and final summary of the results gathered from my 2019 Fediverse Survey.
---

Thank you all for participating in my little survey! It ended about 15 hours ago now, so it's time to look over the results one last time. This post will mostly be about the feedback I received, so If you want to do see a summary of the actual responses, you want to check [the first summary](https://bune.city/2019/05/fediverse-survey-summary-1/).

<!--more-->

The data
--------

You can download the data from [this folder](https://cloud.lynnesbian.space/s/PJYXYn9C8MGnzDE). The files dated *2019-05-20* contain the latest data, but older sets are still available. They're all available under the [CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/) license.

Previous summaries
------------------

The first summary goes over many things in more detail than I will here, as I don't want to repeat myself. You can read it [here](https://bune.city/2019/05/fediverse-survey-summary-1/).

The second summary is very brief and doesn't say much, but it's [here](https://bune.city/2019/05/fediverse-survey-summary-2/) if you want it.

Survey meta
-----------

We received a total of 732 responses. Of those, 674 were complete, and 58 were partially incomplete. All 732 responses will be released, and reviewed for this post.

### How satisfied were you with the questions and options provided?

With a mean of 4.27, I'd say most people were pretty happy with the survey.

![Lots of 4s and 5s!](https://cdn.bune.city/2019/05/c7d9c4bdc33bb964d9a107aad9275f14/sshot_2019-05-20_at_14-04-04-1558325044-1024x536.png)

There's still a lot of room for improvement. As I discussed in the first summary, the main issues were not enough social network types. In particular, I forgot to add tumblr as an option.

Some feedback responses
-----------------------

Let's take a look at some of the feedback I received!

#### "I hope the results will be made public 😉"

They are! The results are available in PDF, XLSX, and CSV format, under the [CC-BY-SA 4.0 license](https://creativecommons.org/licenses/by-sa/4.0/).

#### "I still use Twitter, but very little. Almost not at all."

It might have been a good idea to allow people to specify which social networks they spend the most time on, but at the same time, I don't want to give the respondents choice paralysis. I think this is something to consider for the next survey, if there is one.

#### "hi"

Hi!

#### "Pleroma is full of nazis and assholes, including the developers"

This seems to be a prevailing sentiment among many on the Fediverse. I frequently see posts like this on fedi, with people giving a variety of reasons. I don't think there's anything the Pleroma team can really do about the perception of their userbase, but if the developers themselves are being seen like this, then something probably needs to be done. I don't really think this is completely true myself, but I thought it was worth mentioning.

#### "I’m glad Eugen/Gargon started Mastodon but he needs to fucking let go"

This also seems to be a popular opinion. Many people are upset with Eugen's more controversial decisions, such as [his contributions to Smilodon](https://source.puri.sm/liberty/smilodon/commit/9cae431902a2c0ce6438c6722a3a901e279c78fc) and [refusal to add rich text support](https://github.com/tootsuite/mastodon/pull/10629#issuecomment-485927096). The Mastodon development team is bigger than just Eugen, but it's always Eugen specifically who gets mentioned.

#### "tumblr still exists sadly"

A lot of people mentioned social networks that I missed, both federated and otherwise, but by far the most frequently mentioned was tumblr.

#### "you forgot to add linkedin to the 'which ones do you use' even though it's on the 'ones you still use'"

I sure did!

#### "I'm on more than one instance and I know others who are as well. The question about being satisfied with your instance doesn't take this into account."

That's true, yes. I don't really know if there's a way around that, though, because asking "how satisfied are you with instance 1, 2, 3" would just split the data between multiple points without any distinguishing information between them. I could have specified "on average", but that muddies the data too. I probably should have asked for how people felt about their *main* instance.

#### "wonder what you'll do with these answers!"

It's not so much about what *I'll* do as it is what *you'll* do! The data is free and open for anyone to use in their projects. If you can think of a way to put this data to use, feel free to contact me! Go ahead and make something great!

#### "Need to ask about which applications are used, e.g. Tusky"

This is a really good point, and a glaring omission from the survey.

#### "it'd be interesting to ask people what was the "last straw" for them to join fediverse"

That would make a great optional question, although it's a little similar to the question asking why you joined. Perhaps they could be combined in some way?

#### "I only use Facebook for things related to school. If I had the option, I wouldn't use it."

The survey boils things down to a binary "do you use it/do you not", which isn't great. It makes it easier for people to respond, but it also means the data is less accurate. Perhaps a (hypothetical) next survey could provide options for yes, no, occasionally, for work...

#### "Maybe some questions about background of the surveyed person ?"

I think that would make for a great separate survey, but it would mean including personal information, which I wanted to avoid with this survey. You can't really answer personal questions without providing personal info...

#### "Thank you!"

You're welcome! :mlem:

The responses
-------------

The survey has come to an end, and still no Osada users. Honestly, I expected there to be at least one, and I certainly didn't expect Nextcloud Social to have more respondents!

![A lot of people use Mastodon!](https://cdn.bune.city/2019/05/ebf00d461930b6f4255f930d32e46f0c/image-1024x533.png)

### Reasons for joining the Fediverse

Let's look at some of the other reasons for joining the Fediverse that people gave. As mentioned in the first survey, many people mentioned Twitter and Tumblr's recent changes and behaviour as reasons for leaving.

I'll present some of the responses in list form, since I don't have anything to add.

-   no ads!
-   One specific friend was there
-   Human moderators that actually take action
-   I think Librem One is an important concept.
-   Note: did not move from another platform, personal data/privacy is the reason I tried to avoid them.
-   I was concerned about being biased by [bubbling](https://en.wikipedia.org/wiki/Filter_bubble) algorithms *(link added by me)*
-   I was concerned about new Facebook polcies discriminating against queer and trans spaces
-   not having everyone you know in one all-connected place is a healthy thing. it frees you up to say more things.
-   I wanted a chronological timeline
-   I realized how shitty reddit was for my mental health. Couldn't stand all of the "look how bigoted this bigoted thing said by this bigot is"
-   It's a great non toxic place to find non binary people

There's really not much else to remark on that hasn't already been covered by [the first summary](https://bune.city/2019/05/fediverse-survey-summary-1/).

Thanks so much for reading and participating!

